<?php

namespace App\Modules\Voip;

use Illuminate\Support\Facades\Config;
use Illuminate\Support\Facades\App;

class ServiceProvider extends \App\Modules\ServiceProvider
{
    public function register()
    {
        parent::register('voip');
    }

    public function boot()
    {
        parent::boot('voip');

        App::bind('SureVoip', function ($app) {
            return new SureVoIPAPI(Config::get('voip::username'), Config::get('voip::password'));
        });
    }
}
